# /lost+found

As was explained earlier during the overview of the FSSTND, Linux should always go through a proper shutdown. Sometimes your system might crash or a power failure might take the machine down. Either way, at the next boot, a lengthy filesystem check (the speed of this check is dependent on the type of filesystem that you actually use. ie. ext3 is faster than ext2 because it is a journalled filesystem) using fsck will be done. Fsck will go through the system and try to recover any corrupt files that it finds. The result of this recovery operation will be placed in this directory. The files recovered are not likely to be complete or make much sense but there always is a chance that something worthwhile is recovered. Each partition has its own lost+found directory. If you find files in there, try to move them back to their original location. If you find something like a broken symbolic link to 'file', you have to reinstall the file/s from the corresponding RPM, since your file system got damaged so badly that the files were mutilated beyond recognition. Below is an example of a /lost+found directory. As you can see, the vast majority of files contained here are in actual fact sockets. As for the rest of the other files they were found to be damaged system files and personal files. These files were not able to be recovered.

          total 368
          -rw-r--r-- 1 root root 110891 Oct 5 14:14 #388200
          -rw-r--r-- 1 root root 215 Oct 5 14:14 #388201
          -rw-r--r-- 1 root root 110303 Oct 6 23:09 #388813
          -rw-r--r-- 1 root root 141 Oct 6 23:09 #388814
          -rw-r--r-- 1 root root 110604 Oct 6 23:09 #388815a
          -rw-r--r-- 1 root root 194 Oct 6 23:09 #388816
          srwxr-xr-x 1 root root 0 Oct 6 13:00 #51430
          srwxr-xr-x 1 root root 0 Oct 6 00:23 #51433
          -rw------- 1 root root 63 Oct 6 00:23 #51434
          srwxr-xr-x 1 root root 0 Oct 6 13:00 #51436
          srwxrwxrwx 1 root root 0 Oct 6 00:23 #51437
          srwx------ 1 root root 0 Oct 6 00:23 #51438
          -rw------- 1 root root 63 Oct 6 13:00 #51439
          srwxrwxrwx 1 root root 0 Oct 6 13:00 #51440
          srwx------ 1 root root 0 Oct 6 13:00 #51442
          -rw------- 1 root root 63 Oct 6 23:09 #51443
          srwx------ 1 root root 0 Oct 6 10:40 #51445
          srwxrwxrwx 1 root root 0 Oct 6 23:09 #51446
          srwx------ 1 root root 0 Oct 6 23:09 #51448